package commons.pfc;

import java.io.OutputStreamWriter;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.RadioButton;

public class licencias extends AndromediacommonsActivity{
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
        setContentView(R.layout.layout_licencias);
    }
	
	private Intent intent = new Intent();
	
	/*He tenido que declarar las variables de los radiobutton en los 3 metodos 
	 * de los rb porque me daba fallo al declararlos privados dentro de la clase.* */
	
	public void Click_Check1(View view)
	{
		RadioButton rb1 = (RadioButton) findViewById(R.id.licencia1);
		RadioButton rb2 = (RadioButton) findViewById(R.id.licencia2);
		RadioButton rb3 = (RadioButton) findViewById(R.id.licencia3);
		rb1.setChecked(true);
		rb2.setChecked(false);
		rb3.setChecked(false);
	}
	
	public void Click_Check2(View view)
	{
		RadioButton rb1 = (RadioButton) findViewById(R.id.licencia1);
		RadioButton rb2 = (RadioButton) findViewById(R.id.licencia2);
		RadioButton rb3 = (RadioButton) findViewById(R.id.licencia3);
		rb1.setChecked(false);
		rb2.setChecked(true);
		rb3.setChecked(false);
	}
	
	public void Click_Check3(View view)
	{
		RadioButton rb1 = (RadioButton) findViewById(R.id.licencia1);
		RadioButton rb2 = (RadioButton) findViewById(R.id.licencia2);
		RadioButton rb3 = (RadioButton) findViewById(R.id.licencia3);
		rb1.setChecked(false);
		rb2.setChecked(false);
		rb3.setChecked(true);
	}
	
	public void Click_Siguiente(View botton) throws Exception
	{
		Asignar_Licencia_Eleccion();
		Intent intent = new Intent();
		
		//Si se selecciono el modo rafaga entonces el proceso sigue otro flujo distinto
		if(datos.rafaga)
		{
			String datosrafaga = "";
			datos_imagenes_rafaga.add(datos.licencia);
			
			datosrafaga = Obtener_Datos_Rafaga();
			Almacenar_Rafaga(datosrafaga);
			intent.setComponent(new ComponentName(this, creacion_rafaga_satisfactoria.class));
			startActivity(intent);
		} 
		else
			intent.setComponent(new ComponentName(this, datos_imagen.class));
		
		startActivity(intent);
	}
	
	public void Click_Licencia1(View botton)
	{
		datos.licencia_1 = true;
		datos.licencia_2 = false;
		datos.licencia_3 = false;
		
		intent.setComponent(new ComponentName(this, descripcion_licencias.class));
		startActivity(intent);
	}
	
	public void Click_Licencia2(View botton)
	{
		datos.licencia_1 = false;
		datos.licencia_2 = true;
		datos.licencia_3 = false;
		
		intent.setComponent(new ComponentName(this, descripcion_licencias.class));
		startActivity(intent);
	}
	
	public void Click_Licencia3(View botton)
	{
		datos.licencia_1 = false;
		datos.licencia_2 = false;
		datos.licencia_3 = true;
		
		intent.setComponent(new ComponentName(this, descripcion_licencias.class));
		startActivity(intent);
	}
	
	private void Asignar_Licencia_Eleccion()
	{
		RadioButton rb1 = (RadioButton) findViewById(R.id.licencia1);
		RadioButton rb2 = (RadioButton) findViewById(R.id.licencia2);
		//RadioButton rb3 = (RadioButton) findViewById(R.id.licencia3);
		
		if(rb1.isChecked())
			datos.licencia = "self|cc-by-sa-3.0";
		else
		{
			if(rb2.isChecked())
				datos.licencia = "self|cc-by-3.0";
			else
				datos.licencia = "self|cc-zero";
		}
	}

	private String Obtener_Datos_Rafaga()
	{
		String aux = "";
		
		for(int i = 0; i < datos_imagenes_rafaga.size(); ++i)
		{
			aux += datos_imagenes_rafaga.get(i) + "FFF"; 
		}
		
		return aux;
	}
	
	
	private void Almacenar_Rafaga(String datos_rafaga)throws Exception
    {
		Date d = new Date();
		d.getDate();
		Calendar c = new GregorianCalendar();
		c.setTime(d);
		
		String nom_fichero = Integer.toString(c.get(Calendar.YEAR)) + "-" + Integer.toString(c.get(Calendar.MONTH)+1) + "-" + Integer.toString(c.get(Calendar.DATE));
		nom_fichero += " " + Integer.toString(c.get(Calendar.HOUR_OF_DAY)) + ":" + Integer.toString(c.get(Calendar.MINUTE)) + ":" + Integer.toString(c.get(Calendar.SECOND));
		
    	try
    	{
    	    OutputStreamWriter fichero=
    	        new OutputStreamWriter(
    	            openFileOutput(nom_fichero, Context.MODE_WORLD_WRITEABLE));
    	    fichero.write(datos_rafaga);
    	    fichero.close();
    	}
    	catch (Exception ex)
    	{
    	    Log.e("Ficheros", "Error al escribir fichero a memoria interna");
    	}
    }
}
